
From: <Andries.Brouwer@cwi.nl>

In 2.5.18 some minix-specific stuff was moved to the minix subdirectory
where it belonged.  However, a typo crept in.  A few people have
complained, but so far not sufficiently loudly.

The bug is of a type that automated tools might discover: a value res is
computed, but not used.

Signed-off-by: Andries Brouwer <Andries.Brouwer@cwi.nl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/minix/itree_common.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/minix/itree_common.c~minix-nblocks-retval-fix fs/minix/itree_common.c
--- 25/fs/minix/itree_common.c~minix-nblocks-retval-fix	Fri Aug 20 15:43:26 2004
+++ 25-akpm/fs/minix/itree_common.c	Fri Aug 20 15:43:26 2004
@@ -358,5 +358,5 @@ static inline unsigned nblocks(loff_t si
 		res += blocks;
 		direct = 1;
 	}
-	return blocks;
+	return res;
 }
_
